Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.recipe.protocol.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.recipe.protocol.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.recipe.protocol.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.recipe.protocol.v1

Method Summary
`AliveCheckRequest` | `createAliveCheckRequest()` Create an instance of `AliveCheckRequest`
`AliveCheckResponse` | `createAliveCheckResponse()` Create an instance of `AliveCheckResponse`
`CreateFeedbackRequest` | `createCreateFeedbackRequest()` Create an instance of `CreateFeedbackRequest`
`CreateFeedbackResponse` | `createCreateFeedbackResponse()` Create an instance of `CreateFeedbackResponse`
`CreatePrescriptionRequest` | `createCreatePrescriptionRequest()` Create an instance of `CreatePrescriptionRequest`
`CreatePrescriptionResponse` | `createCreatePrescriptionResponse()` Create an instance of `CreatePrescriptionResponse`
`GetPrescriptionForExecutorRequest` | `createGetPrescriptionForExecutorRequest()` Create an instance of `GetPrescriptionForExecutorRequest`
`GetPrescriptionForExecutorResponse` | `createGetPrescriptionForExecutorResponse()` Create an instance of `GetPrescriptionForExecutorResponse`
`GetPrescriptionForPatientRequest` | `createGetPrescriptionForPatientRequest()` Create an instance of `GetPrescriptionForPatientRequest`
`GetPrescriptionForPatientResponse` | `createGetPrescriptionForPatientResponse()` Create an instance of `GetPrescriptionForPatientResponse`
`GetPrescriptionForPrescriberRequest` | `createGetPrescriptionForPrescriberRequest()` Create an instance of `GetPrescriptionForPrescriberRequest`
`GetPrescriptionForPrescriberResponse` | `createGetPrescriptionForPrescriberResponse()` Create an instance of `GetPrescriptionForPrescriberResponse`
`ListFeedbacksRequest` | `createListFeedbacksRequest()` Create an instance of `ListFeedbacksRequest`
`ListFeedbacksResponse` | `createListFeedbacksResponse()` Create an instance of `ListFeedbacksResponse`
`ListNotificationsRequest` | `createListNotificationsRequest()` Create an instance of `ListNotificationsRequest`
`ListNotificationsResponse` | `createListNotificationsResponse()` Create an instance of `ListNotificationsResponse`
`ListOpenPrescriptionsRequest` | `createListOpenPrescriptionsRequest()` Create an instance of `ListOpenPrescriptionsRequest`
`ListOpenPrescriptionsResponse` | `createListOpenPrescriptionsResponse()` Create an instance of `ListOpenPrescriptionsResponse`
`ListPatientPrescriptionsRequest` | `createListPatientPrescriptionsRequest()` Create an instance of `ListPatientPrescriptionsRequest`
`ListPatientPrescriptionsResponse` | `createListPatientPrescriptionsResponse()` Create an instance of `ListPatientPrescriptionsResponse`
`MarkAsArchivedRequest` | `createMarkAsArchivedRequest()` Create an instance of `MarkAsArchivedRequest`
`MarkAsArchivedResponse` | `createMarkAsArchivedResponse()` Create an instance of `MarkAsArchivedResponse`
`MarkAsDeliveredRequest` | `createMarkAsDeliveredRequest()` Create an instance of `MarkAsDeliveredRequest`
`MarkAsDeliveredResponse` | `createMarkAsDeliveredResponse()` Create an instance of `MarkAsDeliveredResponse`
`MarkAsUnDeliveredRequest` | `createMarkAsUnDeliveredRequest()` Create an instance of `MarkAsUnDeliveredRequest`
`MarkAsUnDeliveredResponse` | `createMarkAsUnDeliveredResponse()` Create an instance of `MarkAsUnDeliveredResponse`
`RevokePatientPrescriptionRequest` | `createRevokePatientPrescriptionRequest()` Create an instance of `RevokePatientPrescriptionRequest`
`RevokePatientPrescriptionResponse` | `createRevokePatientPrescriptionResponse()` Create an instance of `RevokePatientPrescriptionResponse`
`RevokePrescriptionForExecutorRequest` | `createRevokePrescriptionForExecutorRequest()` Create an instance of `RevokePrescriptionForExecutorRequest`
`RevokePrescriptionForExecutorResponse` | `createRevokePrescriptionForExecutorResponse()` Create an instance of `RevokePrescriptionForExecutorResponse`
`RevokePrescriptionRequest` | `createRevokePrescriptionRequest()` Create an instance of `RevokePrescriptionRequest`
`RevokePrescriptionResponse` | `createRevokePrescriptionResponse()` Create an instance of `RevokePrescriptionResponse`
`SendNotificationRequest` | `createSendNotificationRequest()` Create an instance of `SendNotificationRequest`
`SendNotificationResponse` | `createSendNotificationResponse()` Create an instance of `SendNotificationResponse`
`UpdateFeedbackFlagRequest` | `createUpdateFeedbackFlagRequest()` Create an instance of `UpdateFeedbackFlagRequest`
`UpdateFeedbackFlagResponse` | `createUpdateFeedbackFlagResponse()` Create an instance of `UpdateFeedbackFlagResponse`
`UpdatePatientFeedbackFlagRequest` | `createUpdatePatientFeedbackFlagRequest()` Create an instance of `UpdatePatientFeedbackFlagRequest`
`UpdatePatientFeedbackFlagResponse` | `createUpdatePatientFeedbackFlagResponse()` Create an instance of `UpdatePatientFeedbackFlagResponse`
`JAXBElement<UploadFileRequestType>` | `createUploadFileExecutorRequest(UploadFileRequestType value)` Create an instance of `JAXBElement``<``UploadFileRequestType``>`}
`JAXBElement<UploadFileResponseType>` | `createUploadFileExecutorResponse(UploadFileResponseType value)` Create an instance of `JAXBElement``<``UploadFileResponseType``>`}
`JAXBElement<UploadFileRequestType>` | `createUploadFilePatientRequest(UploadFileRequestType value)` Create an instance of `JAXBElement``<``UploadFileRequestType``>`}
`JAXBElement<UploadFileResponseType>` | `createUploadFilePatientResponse(UploadFileResponseType value)` Create an instance of `JAXBElement``<``UploadFileResponseType``>`}
`JAXBElement<UploadFileRequestType>` | `createUploadFilePrescriberRequest(UploadFileRequestType value)` Create an instance of `JAXBElement``<``UploadFileRequestType``>`}
`JAXBElement<UploadFileResponseType>` | `createUploadFilePrescriberResponse(UploadFileResponseType value)` Create an instance of `JAXBElement``<``UploadFileResponseType``>`}
`UploadFileRequestType` | `createUploadFileRequestType()` Create an instance of `UploadFileRequestType`
`UploadFileResponseType` | `createUploadFileResponseType()` Create an instance of `UploadFileResponseType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.recipe.protocol.v1

Method Detail

### createListNotificationsRequest

    public ListNotificationsRequest createListNotificationsRequest()

  Create an instance of `ListNotificationsRequest`

### createMarkAsDeliveredRequest

    public MarkAsDeliveredRequest createMarkAsDeliveredRequest()

  Create an instance of `MarkAsDeliveredRequest`

### createListFeedbacksRequest

    public ListFeedbacksRequest createListFeedbacksRequest()

  Create an instance of `ListFeedbacksRequest`

### createGetPrescriptionForPrescriberRequest

    public GetPrescriptionForPrescriberRequest createGetPrescriptionForPrescriberRequest()

  Create an instance of `GetPrescriptionForPrescriberRequest`

### createMarkAsArchivedRequest

    public MarkAsArchivedRequest createMarkAsArchivedRequest()

  Create an instance of `MarkAsArchivedRequest`

### createUpdatePatientFeedbackFlagRequest

    public UpdatePatientFeedbackFlagRequest createUpdatePatientFeedbackFlagRequest()

  Create an instance of `UpdatePatientFeedbackFlagRequest`

### createUpdateFeedbackFlagResponse

    public UpdateFeedbackFlagResponse createUpdateFeedbackFlagResponse()

  Create an instance of `UpdateFeedbackFlagResponse`

### createUpdatePatientFeedbackFlagResponse

    public UpdatePatientFeedbackFlagResponse createUpdatePatientFeedbackFlagResponse()

  Create an instance of `UpdatePatientFeedbackFlagResponse`

### createGetPrescriptionForPatientResponse

    public GetPrescriptionForPatientResponse createGetPrescriptionForPatientResponse()

  Create an instance of `GetPrescriptionForPatientResponse`

### createListPatientPrescriptionsRequest

    public ListPatientPrescriptionsRequest createListPatientPrescriptionsRequest()

  Create an instance of `ListPatientPrescriptionsRequest`

### createMarkAsUnDeliveredResponse

    public MarkAsUnDeliveredResponse createMarkAsUnDeliveredResponse()

  Create an instance of `MarkAsUnDeliveredResponse`

### createCreatePrescriptionRequest

    public CreatePrescriptionRequest createCreatePrescriptionRequest()

  Create an instance of `CreatePrescriptionRequest`

### createMarkAsArchivedResponse

    public MarkAsArchivedResponse createMarkAsArchivedResponse()

  Create an instance of `MarkAsArchivedResponse`

### createUploadFileResponseType

    public UploadFileResponseType createUploadFileResponseType()

  Create an instance of `UploadFileResponseType`

### createRevokePatientPrescriptionResponse

    public RevokePatientPrescriptionResponse createRevokePatientPrescriptionResponse()

  Create an instance of `RevokePatientPrescriptionResponse`

### createMarkAsDeliveredResponse

    public MarkAsDeliveredResponse createMarkAsDeliveredResponse()

  Create an instance of `MarkAsDeliveredResponse`

### createSendNotificationResponse

    public SendNotificationResponse createSendNotificationResponse()

  Create an instance of `SendNotificationResponse`

### createRevokePrescriptionForExecutorResponse

    public RevokePrescriptionForExecutorResponse createRevokePrescriptionForExecutorResponse()

  Create an instance of `RevokePrescriptionForExecutorResponse`

### createCreateFeedbackResponse

    public CreateFeedbackResponse createCreateFeedbackResponse()

  Create an instance of `CreateFeedbackResponse`

### createGetPrescriptionForExecutorRequest

    public GetPrescriptionForExecutorRequest createGetPrescriptionForExecutorRequest()

  Create an instance of `GetPrescriptionForExecutorRequest`

### createUploadFileRequestType

    public UploadFileRequestType createUploadFileRequestType()

  Create an instance of `UploadFileRequestType`

### createRevokePrescriptionForExecutorRequest

    public RevokePrescriptionForExecutorRequest createRevokePrescriptionForExecutorRequest()

  Create an instance of `RevokePrescriptionForExecutorRequest`

### createAliveCheckRequest

    public AliveCheckRequest createAliveCheckRequest()

  Create an instance of `AliveCheckRequest`

### createListOpenPrescriptionsRequest

    public ListOpenPrescriptionsRequest createListOpenPrescriptionsRequest()

  Create an instance of `ListOpenPrescriptionsRequest`

### createRevokePatientPrescriptionRequest

    public RevokePatientPrescriptionRequest createRevokePatientPrescriptionRequest()

  Create an instance of `RevokePatientPrescriptionRequest`

### createGetPrescriptionForPatientRequest

    public GetPrescriptionForPatientRequest createGetPrescriptionForPatientRequest()

  Create an instance of `GetPrescriptionForPatientRequest`

### createMarkAsUnDeliveredRequest

    public MarkAsUnDeliveredRequest createMarkAsUnDeliveredRequest()

  Create an instance of `MarkAsUnDeliveredRequest`

### createListNotificationsResponse

    public ListNotificationsResponse createListNotificationsResponse()

  Create an instance of `ListNotificationsResponse`

### createUpdateFeedbackFlagRequest

    public UpdateFeedbackFlagRequest createUpdateFeedbackFlagRequest()

  Create an instance of `UpdateFeedbackFlagRequest`

### createListOpenPrescriptionsResponse

    public ListOpenPrescriptionsResponse createListOpenPrescriptionsResponse()

  Create an instance of `ListOpenPrescriptionsResponse`

### createAliveCheckResponse

    public AliveCheckResponse createAliveCheckResponse()

  Create an instance of `AliveCheckResponse`

### createListFeedbacksResponse

    public ListFeedbacksResponse createListFeedbacksResponse()

  Create an instance of `ListFeedbacksResponse`

### createGetPrescriptionForPrescriberResponse

    public GetPrescriptionForPrescriberResponse createGetPrescriptionForPrescriberResponse()

  Create an instance of `GetPrescriptionForPrescriberResponse`

### createRevokePrescriptionResponse

    public RevokePrescriptionResponse createRevokePrescriptionResponse()

  Create an instance of `RevokePrescriptionResponse`

### createRevokePrescriptionRequest

    public RevokePrescriptionRequest createRevokePrescriptionRequest()

  Create an instance of `RevokePrescriptionRequest`

### createSendNotificationRequest

    public SendNotificationRequest createSendNotificationRequest()

  Create an instance of `SendNotificationRequest`

### createGetPrescriptionForExecutorResponse

    public GetPrescriptionForExecutorResponse createGetPrescriptionForExecutorResponse()

  Create an instance of `GetPrescriptionForExecutorResponse`

### createCreatePrescriptionResponse

    public CreatePrescriptionResponse createCreatePrescriptionResponse()

  Create an instance of `CreatePrescriptionResponse`

### createListPatientPrescriptionsResponse

    public ListPatientPrescriptionsResponse createListPatientPrescriptionsResponse()

  Create an instance of `ListPatientPrescriptionsResponse`

### createCreateFeedbackRequest

    public CreateFeedbackRequest createCreateFeedbackRequest()

  Create an instance of `CreateFeedbackRequest`

### createUploadFilePatientResponse

    public JAXBElement<UploadFileResponseType> createUploadFilePatientResponse(UploadFileResponseType value)

  Create an instance of `JAXBElement``<``UploadFileResponseType``>`}

### createUploadFileExecutorResponse

    public JAXBElement<UploadFileResponseType> createUploadFileExecutorResponse(UploadFileResponseType value)

  Create an instance of `JAXBElement``<``UploadFileResponseType``>`}

### createUploadFilePatientRequest

    public JAXBElement<UploadFileRequestType> createUploadFilePatientRequest(UploadFileRequestType value)

  Create an instance of `JAXBElement``<``UploadFileRequestType``>`}

### createUploadFileExecutorRequest

    public JAXBElement<UploadFileRequestType> createUploadFileExecutorRequest(UploadFileRequestType value)

  Create an instance of `JAXBElement``<``UploadFileRequestType``>`}

### createUploadFilePrescriberRequest

    public JAXBElement<UploadFileRequestType> createUploadFilePrescriberRequest(UploadFileRequestType value)

  Create an instance of `JAXBElement``<``UploadFileRequestType``>`}

### createUploadFilePrescriberResponse

    public JAXBElement<UploadFileResponseType> createUploadFilePrescriberResponse(UploadFileResponseType value)

  Create an instance of `JAXBElement``<``UploadFileResponseType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.